/* body {
  background-image: url("../images/mpc-proof.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: auto;
} */

.altura-minima {
  min-height: 90vh;
}

.tabla-adaptada {
  width: auto; /* Permite que la tabla se ajuste al contenido */
  table-layout: auto; /* Hace que las celdas se ajusten automáticamente */
  white-space: nowrap; /* Evita que el contenido dentro de las celdas haga saltos de línea */
}

.table-cemmi {
  margin: 0 auto;
  width: 100%;
  max-width: 100%;
}

/* .table-cemmi th {
  line-height: 1.8 !important;
} */

.table-cemmi td,
.table-cemmi th {
  /* max-width: 100px; */
  border: 1px solid rgba(0, 0, 0, 0.3);
  /* white-space: nowrap; */
  overflow: hidden;
  padding: 0 5px;
  text-overflow: ellipsis;
  line-height: 2;
}

.table-cemmi th,
table th a {
  background-color: #337ab7;
  color: white;
  text-align: center;
}

.tabla-roles {
  max-width: 100%;
  white-space: initial;
  /* box-shadow: 1px 1px 10px #337ab7; */
}

.tabla-roles tr {
  border: 1px solid rgba(212, 212, 212, 0.95);
}

.tabla-roles tr:nth-child(odd) {
  background-color: #f3f3f3;
}

.tabla-roles td {
  padding: 0.5em 2em;
  text-align: center;
  white-space: initial;
  border: none;
}

.table-cemmi tr {
  transition: all 0.3s ease-in-out;
}

.table-cemmi tr:hover {
  background-color: rgba(83, 176, 246, 0.21);
}

.table-cemmi td {
  text-align: center;
}

tr td a {
  padding-left: 10px;
  padding-right: 10px;
  display: flex;
  justify-content: center;
}

@media (max-width: 900px) {
  .contenedor-tabla-roles {
    padding: 0 !important;
    /* margin-top: 4em !important; */
  }

  .tabla-roles td {
    display: block;
    width: 100%;
  }

  .tabla-roles tr {
    display: block;
    width: 100%;
  }

  .tabla-roles th {
    display: block;
    width: 100%;
  }

  .tabla-roles th:first-of-type {
    display: none;
  }
}

.contenedor-tabla-roles {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  min-height: 60vh;
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
}

.contenedor-tabla-roles tr {
  width: 100%;
}

.contenedor-tabla-roles tr:hover {
  outline: 3px solid whitesmoke;
}

@media (max-width: 900px) {
  .tabla-roles tr:not(tr:first-child) {
    min-height: 250px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  /* .tabla-roles tr > :not(tr:first-child) * {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
  } */

  .tabla-roles td span {
    width: 100%;
    display: block;
  }

  .tabla-roles td {
    width: 100%;
  }
}

@media (max-width: 900px) {
  .tabla-roles {
    display: flex;
  }

  .tabla-roles tr td span {
    display: block;
  }

  .tabla-roles tr {
    display: flex;
    flex-wrap: wrap;
  }

  .tabla-roles td {
    display: flex;
    flex-direction: column;
  }

  .tabla-roles td:nth-child(1) {
    order: 5;
  }
  .tabla-roles td:nth-child(2) {
    order: 2;
  }
  .tabla-roles td:nth-child(3) {
    order: 3;
  }
  .tabla-roles td:nth-child(4) {
    order: 4;
  }
  .tabla-roles td:nth-child(5) {
    order: 1;
  }

  .tabla-roles tr th:nth-child(3) {
    display: none;
  }

  /* .tabla-roles td:nth-child(3) {
    border: 1px solid gray;
    border-radius: 5px;
  } */

  .tabla-roles td:nth-child(3)::before {
    content: "Último Acceso: ";
    color: #777;
    /* display: inline; */
  }
}

/* Venta Vendedor Período */

.venta-vendedor-periodo table {
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  border-radius: 5px;
}

.venta-vendedor-periodo table tr:last-child {
  font-size: 13px;
  font-weight: bold;
}

.venta-vendedor-periodo,
.operaciones-señadas {
  font-size: 12px;
}

.operaciones-señadas {
  width: 100%;
}

/* Control de adhesions concretadas por vendedor */

.tabla-adhesiones th:nth-child(1) {
  display: none;
}

.tabla-adhesiones td:nth-child(1) {
  display: none;
}

.tabla-adhesiones tr,
td,
th {
  padding: 0;
}

.tabla-adhesiones,
.venta-vendedor-periodo,
.tabla-operaciones-canceladas .tabla-operaciones-señadas {
  font-size: 11px !important;
}

.tabla-barrio-manzana table tr:hover,
.tabla-adhesiones tr:hover,
.venta-vendedor-periodo tr:hover,
.tabla-operaciones-canceladas tr:hover .tabla-operaciones-señadas tr:hover {
  background-color: #4d8cbf !important;
  color: white;
}

.tabla-adhesiones th,
.venta-vendedor-periodo th,
.tabla-operaciones-señadas th,
.tabla-operaciones-canceladas th {
  background-color: var(--btn-bg-color);
  color: white;
  text-align: center;
  border: 1px solid rgba(0, 0, 0, 0.5);
}

@media print {
  .tabla-adhesiones th,
  .venta-vendedor-periodo th,
  .tabla-operaciones-señadas th,
  .tabla-operaciones-canceladas th {
    background-color: unset;
    color: unset;
  }
}

.tabla-adhesiones td,
.venta-vendedor-periodo td {
  border: 1px solid rgba(0, 0, 0, 0.5);
}

.tabla-operaciones-canceladas table tr {
  font-size: 12px;
}

@media print {
  .tabla-adhesiones tr:hover,
  .venta-vendedor-periodo tr:hover {
    background-color: unset;
    color: unset;
  }

  .venta-vendedor-periodo th:nth-child(1),
  .venta-vendedor-periodo td:nth-child(1) {
    display: none;
  }

  .operaciones-señadas th:nth-child(1),
  .operaciones-señadas td:nth-child(1) {
    display: inline-block;
    width: 100%;
    border-collapse: collapse;
    border: none;
  }

  .operaciones-señadas tr {
    border: 1px solid rgba(0, 0, 0, 0.5);
  }

  .operaciones-señadas tr {
    width: 100%;
  }

  .tabla-adhesiones select,
  .seleccion-fechas-sp select {
    border: none;
    appearance: none;
  }

  .correo-vendedor {
    display: none;
  }

  .contenedor-flexible select {
    appearance: none;
    border: none;
  }
}

.contenedor-tabla-roles tr td a {
  background-color: #337ab7;
  color: white;
  min-width: 115px;
}

@media (max-width: 900px) {
  .contenedor-tabla-roles tr td a {
    display: block;
    width: 100%;
  }
}

.panel-acceso table tr td {
  border: 2px solid rgba(0, 0, 0, 0.2);
}

/* Clases dinámicas */

.centrar-contenido {
  text-align: center;
}

/* panel documentación */

.control-adhesiones-encabezado select {
  max-width: 100%;
}

@media (max-width: 768px) {
  .control-adhesiones-encabezado select {
    text-align: center;
  }
}

.panel-documentacion {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.panel-documentacion-encabezado input:nth-child(1) {
  margin: 0 auto;
  width: 200px;
}

@media (max-width: 900px) {
  .panel-documentacion-encabezado input:nth-child(1) {
    width: 100%;
  }
}

.panel-documentacion img {
  display: block;
  margin: 0 auto;
  width: 80%;
  max-width: 800px;
}

.panel-documentacion div {
  max-width: 100%;
  text-align: center;
}

.panel-documentacion input {
  display: block;
  margin: 0 auto;
}

.panel-documentacion input[value="Subir Imagen"] {
  background-color: green;
  color: white;
  width: fit-content;
  height: 40px !important;
  border-radius: 5px;
  border: none;
}

/* .panel-documentacion input[type="file"] {
  color: red;
  background-color: #337AB7;
} */

/* Comisión base = Naranja claro;
Comisión premio = Naranja fuerte;
Total Ingresos Mes = Verde claro
Pago Pactado = Verde claro */

/* Comisión Total */
.resaltar {
  background-color: yellow;
  color: black;
  font-weight: bold;
}

/* Comisión Premio */
.resaltar2 {
  background-color: orangered;
  color: white;
  font-weight: bold;
}

/* Comisión Base */
.resaltar3 {
  background-color: orange;
  font-weight: bold;
  color: black;
}

/* Total Ingreso Mes */
.resaltar4 {
  background-color: greenyellow;
  color: black;
  font-weight: bold;
  /* padding: 5px; */
}

/* Valor Terreno */
.resaltar5 {
  background-color: green;
  color: white;
  font-weight: bold;
}

/* Pago Pactado */
.resaltar6 {
  background-color: greenyellow;
  color: black;
  font-weight: bold;
}

.gar-alta-opciones tr {
  background-color: transparent;
  color: gray;
}

.gar-alta-opciones input {
  display: inline-block;
  margin-right: 10px;
}

.espaciar {
  overflow: auto;
  max-width: fit-content;
  line-height: 1.6;
}

/* Panel Acceso */

.panel-acceso table {
  width: 100%;
}

.panel-acceso table tr {
  width: 100%;
}

.panel-acceso table td {
  padding: 5px 10px;
}

@media (max-width: 900px) {
  .panel-acceso table td {
    padding: 5px 0;
  }
}

.accesos-habilitados td a {
  background-color: #0d6efd;
  color: #fff;
  border-radius: 5px;
  padding: 6px 10px;
  min-width: 115px;
}

.accesos-habilitados td a:hover {
  background-color: #0b5ed7;
}

@media (max-width: 900px) {
  .accesos-habilitados th {
    display: none;
  }

  .accesos-habilitados tr {
    width: 100%;
    max-width: 100%;
  }

  .accesos-habilitados td {
    display: block;
    width: 95vw;
    max-width: 100%;
    padding: 10px 0;
  }

  .accesos-habilitados td a {
    width: 100%;
    padding: 8px 0;
  }

  .accesos-habilitados .btn-primary {
    width: 95vw !important;
  }
}

.descripcion-ultimo-acceso {
  width: 100%;
  display: flex !important;
  width: 90vw;
  border: none;
}

.descripcion-ultimo-acceso tr td,
.descripcion-ultimo-acceso tr th,
.descripcion-ultimo-acceso tr {
  display: flex !important;
  /* flex-direction: column; */
  justify-content: center;
}

.descripcion-ultimo-acceso tbody,
.descripcion-ultimo-acceso tr,
.descripcion-ultimo-acceso th,
.descripcion-ultimo-acceso td {
  width: 90vw;
  max-width: 900px;
}

/* Estilos responsive de tablas en general */

/* Este contenedor de tabla evita que se rompa la pantalla, permite un scroll horizontal de las tablas pero solo dentro del contenedor */
.contenedor-responsive {
  width: 100%;
  overflow-x: auto;
}

/* Modo actualización */
.roles-del-sistema table,
.conceptos-contables table,
.mantenimiento-plan-cuentas table,
.ejercicio-contable table,
.periodos-ejercicio-contable table,
.valores-referencia-periodo-contable table,
.tablas-del-sistema table,
.estado-venta-lotes table,
.modo-actualizacion table,
.contenedor-barrio table,
.alta-talonarios-recibos table,
.manzanas-en-barrios table {
  font-size: 12.5px;
}

.roles-asignados-por-empresa table {
  font-size: 10px;
}

.roles-asignados-por-empresa {
  gap: 1rem;
}

.vendedor-gestiona-lotes-todos-los-barrios {
  gap: 1rem;
}

.consulta-adhesiones-por-barrio {
  gap: 1rem;
}

.fuente-mas-chica {
  font-size: 11.5px;
}

.fuente-chica {
  font-size: 13px;
}

.fuente-mediana {
  font-size: 15px;
}

.fuente-grande {
  font-size: 16;
}

/* Lotes en barrios */

.tabla-barrio-manzana table tr {
  line-height: 1.6;
}

#tabla-acceso-rol {
  position: relative;
}

#tabla-acceso-rol table tr:last-child table tr,
#tabla-personas-fisicas table tr:last-child table tr {
  display: flex;
  justify-content: space-around;
  width: 100%;
}

#tabla-acceso-rol table tr:last-child td td,
#tabla-personas-fisicas table tr:last-child td td,
.pgr td tr td {
  background-color: fff;
  width: 70px;
  font-weight: bold;
  /* color: white; */
  color: #777 !important;
  margin: 10px;
  border-radius: 5px;
  padding: 5px;
  margin-left: 10px;
  display: inline-block;
  border: 3px solid #0b5ed7;
}

.pgr td a {
  color: black;
}

#tabla-acceso-rol table tr:last-child td td:hover,
#tabla-personas-fisicas table tr:last-child td td:hover,
.pgr td tr td a:hover {
  background-color: #0b5ed7;
  color: white;
}

#tabla-acceso-rol table tr:last-child td a,
#tabla-personas-fisicas table tr:last-child td a,
.pgr a {
  /* color: white; */
}

#tabla-acceso-rol table tr:last-child td span,
#tabla-personas-fisicas table tr:last-child td span,
.pgr span {
  background-color: #0b5ed7;
  display: block;
  width: 100%;
  color: whitesmoke;
  font-weight: bold;
}

/* .pgr a {
  padding: 5px 10px;
  border: 1px solid #007bff;
  background-color: #f8f9fa;
  color: #007bff;
  text-decoration: none;
  margin: 2px;
  border-radius: 5px;
}

.pgr a:hover {
  background-color: #007bff;
  color: white;
}

.pgr span {
  padding: 5px 10px;
  background-color: #007bff;
  color: white;
  font-weight: bold;
  border-radius: 5px;
} */

/* Vendedor gestiona lotes todos los barrios */

.calendario {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  max-width: 100%;
}

.calendario table {
  width: 500px;
  max-width: 100%;
  /* box-shadow: 3px 3px 5px #337ab7; */
  box-shadow: 3px 3px 7px #0d6efd;
}

.calendario table tr {
  line-height: 2.2;
}

.calendario table td,
.calendario table th {
  border: 1px solid #777;
}

.calendario table th {
  text-align: center;
}

.calendario table a {
  text-align: center;
  cursor: pointer;
}

.calendario tr:first-child td tr td a {
  color: white !important;
  font-size: 18px !important;
  font-weight: 900 !important;
}

.calendario tr:first-child td {
  border: none;
}

/* .calendario table a[href*="javascript"] {
  background-color: #0b5ed7;
  color: white;
} */

.calendario table td a:active,
.calendario table td a:active,
.calendario table td a:hover,
.calendario table td a:hover,
.calendario table td a:focus,
.calendario table td a:focus {
  background-color: #4d8cbf;
  color: white !important;
  cursor: pointer;
}

.calendario table td:active,
.calendario table td:focus,
.calendario table td::after,
.calendario table td::marker,
.calendario table td::selection,
.calendario table td::target-text,
.calendario table td::content,
.calendario table td::backdrop,
.calendario table td::cue {
  background-color: #4d8cbf !important;
  color: white !important;
  cursor: pointer;
}

.calendario table tr:first-child {
  background-color: #0b5ed7;
  color: white;
}

/* .calendario table td a[href*="javascript"]:: {
  background-color: red;
} */

.separar {
  gap: 1rem;
}

.separar span {
  display: inline-block;
  margin-top: 0.5em;
  text-align: center;
}

.fecha-resaltada {
  background-color: #0b5ed7;
  color: white;
  text-align: center;
  border: none;
  border-radius: 5px;
  font-weight: bold;
  letter-spacing: 1px;
  line-height: 2.2;
}

.fecha-resaltada::placeholder {
  color: #999 !important;
  letter-spacing: 0;
}

.datos-venta,
.calendarios {
  max-width: 100%;
  margin: 30px auto 0 auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1em;
}

.datos-venta div,
.calendarios div {
  max-width: 100%;
}

.datos-venta span {
  display: block;
  text-align: left;
  font-weight: bold;
}
.datos-venta select,
.datos-venta select option {
  display: block;
  text-align: center;
}

.form-control,
.control-label,
.form-select {
  max-width: 100%;
  width: 500px;
}

.datos-venta input,
.datos-venta select,
.datos-venta span {
  max-width: 100%;
  width: 500px;
  margin-left: auto;
  margin-right: auto;
}

.datos-venta input,
.datos-venta select {
  box-shadow: 0.5px 0.5px 2px #0d6efd;
}

.datos-venta input {
  text-align: left;
}

.tamanio-max {
  width: 600px;
  max-width: 100%;
  margin: 0 auto;
}

.botones-confirmacion {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 1em;
}

.flexible {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  max-width: 100%;
  gap: 0.5rem;
}

.flexible > * {
  max-width: 100%;
}

.botones-confirmacion div {
  display: flex;
  justify-content: center;
  width: 100%;
  gap: 1em;
}

.botones-confirmacion input {
  width: 200px;
  max-width: 600px;
  padding: 8px 16px;
}

@media (max-width: 900px) {
  .botones-confirmacion div {
    flex-direction: column;
  }

  .botones-confirmacion input {
    width: 100%;
    max-width: 100%;
  }
}
